import objectdraw.*;

/**
 * A simple class to create a number inside a circle on the canvas,
 * demonstrating a class variable.
 * 
 * Jim Teresco, The College of Saint Rose, Spring 2014, CSC 252
 *
 * $Id: NumberInCircle.java 2351 2014-05-01 01:51:25Z terescoj $
 */
public class NumberInCircle
{
    private static final int SIZE = 50;

    // a class variable!  Just one copy of this is
    // shared among all instances of the class we ever
    // will create
    private static int nextNum = 0;
    
    public NumberInCircle(Location p, DrawingCanvas c)
    {
        new FramedOval(p, SIZE, SIZE, c);
        new Text(nextNum, p.getX()+SIZE/2, p.getY()+SIZE/2, c);
        nextNum++;
    }

}
